<?php

namespace App\Http\Middleware;

use Closure;
use Auth;

class SysAdmin
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if ( Auth::check() && Auth::user()->isSySAdmin() )
        {
            return $next($request);
        }
        return redirect('/home');

    }
}
